import request from '@/utils/request'

// 查询运动知识库列表
export function listBaseSport(query) {
    return request({
        url: '/system/baseSport/list',
        method: 'get',
        params: query
    })
}

// 查询运动知识库详细
export function getBaseSport(id) {
    return request({
        url: '/system/baseSport/' + id,
        method: 'get'
    })
}

// 新增运动知识库
export function addBaseSport(data) {
    return request({
        url: '/system/baseSport/add',
        method: 'post',
        data: data
    })
}

// 修改运动知识库
export function updateBaseSport(data) {
    return request({
        url: '/system/baseSport/edit',
        method: 'put',
        data: data
    })
}

// 删除运动知识库
export function delBaseSport(id) {
    return request({
        url: '/system/baseSport/' + id,
        method: 'delete'
    })
}
